random(1)

NAME
random - generate random number

  Synopsis
random [SEED]

  Description
The random command is used to generate a random number in the interval 0<=N<32767. If an argument is given, it is used to seed the random number generator. This can be useful for debugging purposes, where it can be desirable to get the same random number sequence multiple times. If the random number generator is called without first seeding it, the current time will be used as the seed.

  Example
The following code will count down from a random number to 1:

for i in (seq (random) -1 1)
	echo $i
	sleep
end